#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libXtst
Version		:	1.2.4
Release		:	16.2.0.rel%{?dist}
Summary		:	libXtst provides the Xlib-based client API for the XTEST & RECORD extensions.
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/lib/

Source0		:	%{shortname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Provides	:	libXtst

BuildRequires	:	fontconfig-devel
BuildRequires	:	libxcb
BuildRequires	:	libXi
#-----------------------------------------------------------------------------
%description
The XTEST extension is a minimal set of client and server extensions
required to completely test the X11 server with no user intervention.
This extension is not intended to support general journaling and
playback of user actions.

The RECORD extension supports the recording and reporting of all
core X protocol and arbitrary X extension protocol.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_includedir}/X11/extensions/XTest.h
%{_includedir}/X11/extensions/record.h
%{_libdir}/%{shortname}.so*
%{_libdir}/pkgconfig/xtst.pc
%{_mandir}/man3/*3.gz
%{_defaultdocdir}/%{name}-%{version}/*.xml

#=============================================================================
%prep
%setup -q -n %{shortname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

autoconf -f -i 
./configure						\
	$XORG_CONFIG					\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
